ON_Group Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_group.h>`

Inheritance diagram for ON_Group:

## Public Member Functions

| ON_Group ()
| ~ON_Group ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
void | SetGroupName (const wchar_t *)
void | SetGroupName (const char *)
void | GetGroupName (ON_wString &) const
const wchar_t * | GroupName () const
void | SetGroupIndex (int)
int | GroupIndex () const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_wString | m_group_name
int | m_group_index
ON_UUID | m_group_id

## Detailed Description

Definition at line 20 of file opennurbs_group.h.

## Constructor & Destructor Documentation

ON_Group::ON_Group | ( |  | ) |

ON_Group::~ON_Group | ( |  | ) |

## Member Function Documentation

void ON_Group::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

void ON_Group::GetGroupName | ( | ON_wString & |  | ) | const

int ON_Group::GroupIndex | ( |  | ) | const

const wchar_t* ON_Group::GroupName | ( |  | ) | const

ON_BOOL32 ON_Group::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

ON_BOOL32 ON_Group::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

void ON_Group::SetGroupIndex | ( | int |  | ) |

void ON_Group::SetGroupName | ( | const wchar_t * |  | ) |

void ON_Group::SetGroupName | ( | const char * |  | ) |

ON_BOOL32 ON_Group::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

ON_UUID ON_Group::m_group_id

Definition at line 79 of file opennurbs_group.h.

int ON_Group::m_group_index

Definition at line 78 of file opennurbs_group.h.

ON_wString ON_Group::m_group_name

Definition at line 77 of file opennurbs_group.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_group.h